Package org.zkoss.zul

## Interface XYModel

- All Superinterfaces:
    `ChartModel`
  All Known Subinterfaces:
    `XYZModel`
  All Known Implementing Classes:
    `SimpleXYModel`, `SimpleXYZModel`

      public interface XYModel
      extends ChartModel

  A XY chart data model.
  Author:
    henrichen
  See Also:
    `Chart`, `SimpleXYModel`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y)` | Append an (x,y) into a series.
    `void` | `addValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, int index)` | Add an (x,y) into a series at specified index.
    `void` | `clear()` | clear this model.
    `int` | `getDataCount​(java.lang.Comparable<?> series)` | Get data count of a specified series.
    `java.util.Collection<java.lang.Comparable<?>>` | `getSeries()` | Get all series as a collection.
    `java.lang.Comparable<?>` | `getSeries​(int index)` | Get a series of the specified index;
    `java.lang.Number` | `getX​(java.lang.Comparable<?> series, int index)` | Get X value of a specified series and data index.
    `java.lang.Number` | `getY​(java.lang.Comparable<?> series, int index)` | Get Y value of a specified series and data index.
    `boolean` | `isAutoSort()` | check whether to autosort on x value for each series; default is true.
    `void` | `removeSeries​(java.lang.Comparable<?> series)` | Remove data of a specified series.
    `void` | `removeValue​(java.lang.Comparable<?> series, int index)` | Remove (x,y) value of a specified series and data index.
    `void` | `setAutoSort​(boolean auto)` | Set model to autosort on x value for each series.
    `void` | `setValue​(java.lang.Comparable<?> series, java.lang.Number x, java.lang.Number y, int index)` | Replace the value of the new (x,y) into a series at specified index.

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

- - ### Method Detail

    - #### getSeries

          java.lang.Comparable<?> getSeries​(int index)

      Get a series of the specified index;

    - #### getSeries

          java.util.Collection<java.lang.Comparable<?>> getSeries()

      Get all series as a collection.

    - #### getDataCount

          int getDataCount​(java.lang.Comparable<?> series)

      Get data count of a specified series.
      Parameters:
        `series` - the specified series.

    - #### getX

          java.lang.Number getX​(java.lang.Comparable<?> series,
                                int index)

      Get X value of a specified series and data index.
      Parameters:
        `series` - the series.
        `index` - the data index.

    - #### getY

          java.lang.Number getY​(java.lang.Comparable<?> series,
                                int index)

      Get Y value of a specified series and data index.
      Parameters:
        `series` - the series.
        `index` - the data index.

    - #### setValue

          void setValue​(java.lang.Comparable<?> series,
                        java.lang.Number x,
                        java.lang.Number y,
                        int index)

      Replace the value of the new (x,y) into a series at specified index.
      Parameters:
        `series` - the series
        `x` - the x value
        `y` - the y value
        `index` - the data index
      Since:
        5.0.0

    - #### addValue

          void addValue​(java.lang.Comparable<?> series,
                        java.lang.Number x,
                        java.lang.Number y)

      Append an (x,y) into a series.
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.

    - #### addValue

          void addValue​(java.lang.Comparable<?> series,
                        java.lang.Number x,
                        java.lang.Number y,
                        int index)

      Add an (x,y) into a series at specified index.
      Parameters:
        `series` - the series.
        `x` - the x value.
        `y` - the y value.
        `index` - the data index.
      Since:
        5.0.0

    - #### setAutoSort

          void setAutoSort​(boolean auto)

      Set model to autosort on x value for each series.

    - #### isAutoSort

          boolean isAutoSort()

      check whether to autosort on x value for each series; default is true.

    - #### removeSeries

          void removeSeries​(java.lang.Comparable<?> series)

      Remove data of a specified series.
      Parameters:
        `series` - the series

    - #### removeValue

          void removeValue​(java.lang.Comparable<?> series,
                           int index)

      Remove (x,y) value of a specified series and data index.
      Parameters:
        `series` - the series.
        `index` - the data index.

    - #### clear

          void clear()

      clear this model.